跳到主要内容

确定连接价格

确定指定 Equinix Fabric 连接的成本。

先决条件​

  1. 验证-提交您的用户凭据,客户端ID和客户端机密以进行OAuth2验证。有关如何致电OAuth API以验证和验证您的凭据的说明,请参阅API验证。

  2. 使用获取所有端口端点获取相关端口信息。

  3. 使用获取所有都会区端点查找Equinix Fabric可用的所有都会区并确定目标位置。

请求两个端口之间的连接定价信息​

请求定价信息,请将POST请求发送至/fabric/v4/rices/search端点。在请求正文中指定定价标准。

发布/Fabric/v4/rices/search
方法POST
URL 或端点/fabric/v4/prices/search
标题Authorization,Content-Type
路径参数不适用
查询参数不适用
身体参数筛选

cURL 请求示例:

curl -X POST 'https://api.equinix.com/fabric/v4/prices/search'
-H 'content-type: application/json'
-H 'authorization: Bearer <token>'
-d '{
    "filter": {
        "and": [
            {
                "property": "/type",
                "operator": "=",
                "values": [
                    "VIRTUAL_CONNECTION_PRODUCT"
                ]
            },
            {
                "property": "/connection/type",
                "operator": "=",
                "values": [
                    "EVPL_VC"
                ]
            },
            {
                "property": "/connection/bandwidth",
                "operator": "IN",
                "values": [
                    50,
                    1000
                ]
            },
            {
                "property": "/connection/aSide/accessPoint/type",
                "operator": "=",
                "values": [
                    "COLO"
                ]
            },
            {
                "property": "/connection/aSide/accessPoint/uuid",
                "operator": "=",
                "values": [
                    "b840a1db-54ab-4abf-97e0-328a5c00a874"
                ]
            },
            {
                "property": "/connection/zSide/accessPoint/location/metroCode",
                "operator": "=",
                "values": [
                    "DC"
                ]
            },
            {
                "property": "/connection/zSide/accessPoint/type",
                "operator": "=",
                "values": [
                    "COLO"
                ]
            }
        ]
    }
}'

请求正文中包含的参数特定于此示例。参数及其说明的完整列表,请参见API参考手册。

请求虚拟设备和端口之间的连接的定价信息​

请求定价信息,请将POST请求发送至/fabric/v4/rices/search端点。在请求正文中指定定价标准。

cURL 请求示例:

curl -X POST 'https://api.equinix.com/fabric/v4/prices/search'
-H 'content-type: application/json'
-H 'authorization: Bearer <token>'
-d '{
    "filter": {
        "and": [
            {
                "property": "/type",
                "operator": "=",
                "values": [
                    "VIRTUAL_CONNECTION_PRODUCT"
                ]
            },
            {
                "property": "/connection/type",
                "operator": "=",
                "values": [
                    "EVPL_VC"
                ]
            },
            {
                "property": "/connection/bandwidth",
                "operator": "IN",
                "values": [
                    50,
                    1000
                ]
            },
            {
                "property": "/connection/aSide/accessPoint/type",
                "operator": "=",
                "values": [
                    "VD"
                ]
            },
            {
                "property": "/connection/aSide/accessPoint/",
                "operator": "=",
                "values": [
                    "CH"
                ]
            },
            {
                "property": "/connection/zSide/accessPoint/location/metroCode",
                "operator": "=",
                "values": [
                    "DC"
                ]
            },
            {
                "property": "/connection/zSide/accessPoint/type",
                "operator": "=",
                "values": [
                    "COLO"
                ]
            }
        ]
    }
}'

请求正文中包含的参数特定于此示例。参数及其说明的完整列表,请参见API参考手册。

这个页面对您有帮助吗?